API ReferenceapianalyticsPOST /v1/attribution/resolve

POST /v1/attribution/resolve

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "visitor_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "utm_source": {
      "type": "string"
    },
    "utm_medium": {
      "type": "string"
    },
    "utm_campaign": {
      "type": "string"
    },
    "utm_term": {
      "type": "string"
    },
    "utm_content": {
      "type": "string"
    },
    "referrer": {
      "type": "string"
    },
    "landing_page": {
      "type": "string"
    }
  },
  "required": [
    "visitor_id",
    "brand_id"
  ]
}

Responses

200 Attribution resolved

{
  "type": "object",
  "properties": {
    "attribution_id": {
      "type": "string"
    },
    "visitor_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "utm_source": {
      "type": [
        "string",
        "null"
      ]
    },
    "utm_medium": {
      "type": [
        "string",
        "null"
      ]
    },
    "utm_campaign": {
      "type": [
        "string",
        "null"
      ]
    },
    "utm_term": {
      "type": [
        "string",
        "null"
      ]
    },
    "utm_content": {
      "type": [
        "string",
        "null"
      ]
    },
    "referrer": {
      "type": [
        "string",
        "null"
      ]
    },
    "landing_page": {
      "type": [
        "string",
        "null"
      ]
    },
    "resolved_channel": {
      "type": [
        "string",
        "null"
      ]
    },
    "resolved_at": {
      "type": "string"
    }
  },
  "required": [
    "attribution_id",
    "visitor_id",
    "brand_id",
    "utm_source",
    "utm_medium",
    "utm_campaign",
    "utm_term",
    "utm_content",
    "referrer",
    "landing_page",
    "resolved_channel",
    "resolved_at"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://analytics.platform.loop.health/v1/attribution/resolve \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'